## org.apache.lucene.util
Class PagedBytes.PagedBytesDataOutput

    java.lang.Object
      org.apache.lucene.store.DataOutput
          org.apache.lucene.util.PagedBytes.PagedBytesDataOutput

Enclosing class:
  PagedBytes

    public final class PagedBytes.PagedBytesDataOutput

extends DataOutput

Constructor Summary
`PagedBytes.PagedBytesDataOutput()`

Method Summary
`long` `getPosition()` Return the current byte position.
`void` `writeByte(byte b)` Writes a single byte.
`void` `writeBytes(byte[] b, int offset, int length)` Writes an array of bytes.

Methods inherited from class org.apache.lucene.store.DataOutput
`copyBytes, writeBytes, writeChars, writeChars, writeInt, writeLong, writeShort, writeString, writeStringStringMap, writeVInt, writeVLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PagedBytes.PagedBytesDataOutput

    public PagedBytes.PagedBytesDataOutput()

Method Detail

### writeByte

    public void writeByte(byte b)

  Description copied from class: `DataOutput`
  Writes a single byte.

  Specified by:
    `writeByte` in class `DataOutput`
  See Also:
    `DataInput.readByte()`

### writeBytes

    public void writeBytes(byte[] b,
                           int offset,
                           int length)
                    throws IOException

  Description copied from class: `DataOutput`
  Writes an array of bytes.

  Specified by:
    `writeBytes` in class `DataOutput`
  Parameters:
    `b` - the bytes to write
    `offset` - the offset in the byte array
    `length` - the number of bytes to write
  Throws:
    `IOException`
  See Also:
    `DataInput.readBytes(byte[],int,int)`

### getPosition

    public long getPosition()

  Return the current byte position.